import codecutil from './codecutil'

var pdatautil = {}

export default pdatautil //全局导出对象

// 用于编码路由参数
pdatautil.encode = function (json) {
    var encodedata = codecutil.base64Encode(JSON.stringify(json))
    return encodedata
}

// 用于解码路由参数
pdatautil.decode = function (data) {
    var decodedata = codecutil.base64Decode(data)
    var json = JSON.parse(decodedata)
    return json
}
